
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>ashx文件的使用小结_实用技巧 / iVAN</title>

    <meta name="description" content="ashx文件的使用小结_实用技巧 一提到Ashx文件,我们就会想到http handler以及图片加载(在之前我们一般使用ASPX或者Webservice去做),一般做法如下: Handler.ashx: 复制代码 代码如下: &lt;%@ WebHandler Language=&quot;C#&quot; Class=&quot;Handler&quot; %&gt;using System;using System.IO;using System.Web;public class Handler : IHttpHandle ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">ashx文件的使用小结_实用技巧</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>一提到Ashx文件，我们就会想到http handler以及图片加载（在之前我们一般使用ASPX或者Webservice去做），一般做法如下：</p>
<p><strong>Handler.ashx：<br /></strong></p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;%@ WebHandler Language="C#" Class="Handler" %&gt;<br />using System;<br />using System.IO;<br />using System.Web;<br />public class Handler : IHttpHandler {<br />
<br />public bool IsReusable {<br />  get {<br />   return true;<br />  }<br />}<br />public void ProcessRequest (HttpContext context) {<br />  context.Response.ContentType = "image/jpeg";<br />  context.Response.Cache.SetCacheability(HttpCacheability.Public);<br />  context.Response.BufferOutput = false;<br />  PhotoSize size;<br />  switch (context.Request.QueryString["Size"]) {<br />   case "S":<br />    size = PhotoSize.Small;<br />    break;<br />   case "M":<br />    size = PhotoSize.Medium;<br />    break;<br />   case "L":<br />    size = PhotoSize.Large;<br />    break;<br />   default:<br />    size = PhotoSize.Original;<br />    break;<br />  } <br />  Int32 id = -1;<br />  Stream stream = null;<br />  if (context.Request.QueryString["PhotoID"] != null &amp;&amp; context.Request.QueryString["PhotoID"] != "") {<br />   id = Convert.ToInt32(context.Request.QueryString["PhotoID"]);<br />   stream = PhotoManager.GetPhoto(id, size);<br />  } else {<br />   id = Convert.ToInt32(context.Request.QueryString["AlbumID"]);<br />   stream = PhotoManager.GetFirstPhoto(id, size);<br />  }<br />  if (stream == null) stream = PhotoManager.GetPhoto(size);<br />  const int buffersize = 1024 * 16;<br />  byte[] buffer = new byte[buffersize];<br />  int count = stream.Read(buffer, 0, buffersize);<br />  while (count &gt; 0) {<br />   context.Response.OutputStream.Write(buffer, 0, count);<br />   count = stream.Read(buffer, 0, buffersize);<br />  }<br />}<br />}</p>
<p><strong>*.aspx:<br /></strong>&lt;img src="myHttpHander.ashx?id=123" width="20" height="20" /&gt;<br />
<br />我们变通以下，发现其实除了可以输出图片以外，还可以输出文字：<br /><strong>Handler.ashx：<br /></strong></p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;%@ WebHandler Language="C#" Class="Handler" %&gt;<br />using System;<br />using System.Web;<br />public class Handler : IHttpHandler {</p>
<p>    public void ProcessRequest (HttpContext context) {<br />        context.Response.ContentType = "text/plain";<br />        context.Response.Write("alert('hi')");<br />    }<br />
<br />    public bool IsReusable {<br />        get {<br />            return false;<br />        }<br />    }<br />}</p>
<p><strong>*.aspx:<br /></strong>弹出alert<br />&lt;script src="Handler.ashx"&gt;&lt;/script&gt;<br />也可以把.ashx当成css文件<br />&lt;link href="css/Handler.ashx" rel="stylesheet" type="text/css"&gt;<br />
<br /><strong>xml文件<br /></strong>orderDoc.load("Handler.ashx");</p>
<p>还可以嵌入文字：<br /><strong>Handler.ashx：<br /></strong></p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;%@ WebHandler Language="C#" Class="TestHandler" %&gt;<br />using System;<br />using System.Web;<br />public class TestHandler : IHttpHandler {</p>
<p>    public void ProcessRequest (HttpContext context) {<br />        context.Response.ContentType = "text/plain";<br />        context.Response.Write("document.write(\"Hello World\");");<br />    }<br />
<br /> </p>
<p>    public bool IsReusable {<br />        get {<br />            return false;<br />        }<br />    }<br />}</p>
<p><strong>*.aspx:<br /></strong>&lt;script type="text/javascript" src="TestHandler.ashx" /&gt;<br />
<br />当你希望从ashx或HttpHandler里访问你的Session时,你必须实现IReadOnlySessionState接口.</p>
<p>代码:</p>
<p><u>复制代码</u> 代码如下:</p>
<p>using System;<br />using System.Web;<br />using System.Web.SessionState;<br />
<br />public class DownloadHandler : IHttpHandler, IReadOnlySessionState<br />{<br />   public bool IsReusable { get { return true; } }</p>
<p>   public void ProcessRequest(HttpContext ctx)<br />   {<br />       ctx.Response.Write(ctx.Session["fred"]);<br />   }<br />}</p>
<p>其实，学习的思路不应该这样，以上除了图片外，我们都用偏了，为什么用偏了呢，因为软件以简单、实用为主，我们只是把以上纯粹看成可一项技术而没有把它放到软件的地位去考虑：）<br />具体的用途，大家可以参考Rewirte.dll (这个dll，可以使服务器支持伪静态的)</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 16:00:14</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/ashx/" title="ashx">ashx</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>ashx文件的使用小结_实用技巧的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgEwWmz.html" rel="bookmark">Asp&period;net&plus;jquery&plus;&period;ashx文件实现分页思路&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天看到一个.java哥们写过的在页面直接请求数据列表的程序代码.它是实现选中客户联系人后,无刷新的弹出div罗列其它联系人列表的功能.忽然想到既然可以请求联系人列表,而且无刷新.那么取复杂的数据列表呢,后来想到了数据分页.我现在用了自己写的一个分页控件.但是效率有时候感觉不是很高,它是以 用户控件+存储过程+分页处理类 来实现分页的.但是无可避免的就碰到了刷新的问题即使分页很快,但是只要这&quot;刷&quot;的一下总是感觉很不爽.而且还要页面编译一遍,还要在服务端处理ViewState.以及其它的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/baakV2b.html" rel="bookmark">asp&period;net创建XML文件的方法小结&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了asp.net创建XML文件的方法.分享给大家供大家参考,具体如下: 方法一:按照XML的结构一步一步的构建XML文档. 通过.Net FrameWork SDK中的命名空间&quot;System.Xml&quot;中封装的各种类来实现的 方法一:按照XML的结构一步一步的构建XML文档. 通过.Net FrameWork SDK中的命名空间&quot;System.Xml&quot;中封装的各种类来实现的 方法二:直接定影XML文档,然后保存到文件. 通过&quot;XmlDocumen			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGr0eOp.html" rel="bookmark">ashx介绍以及ashx文件与aspx文件之间的区别&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ashx是什么文件? .ashx 文件用于写web handler的..ashx文件与.aspx文件类似,可以通过它来调用HttpHandler类,它免去了普通.aspx页面的控件解析以及页面处理的过程.其实就是带HTML和C#的混合文件. .ashx文件适合产生供浏览器处理的.不需要回发处理的数据格式,例如用于生成动态图片.动态文本等内容. ashx文件是.net 2.0新加的文件类型(其实在.net 1.0下已经可用,但是没有公开提供). ashx文件和aspx文件有什么不同? 我们先新建一			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0QxmJp.html" rel="bookmark">asp&period;net 下载文件时根据MIME类型自动判断保存文件的扩展名&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				引言 用WebClient下载远程资源时,经常会遇到类似这样的网址: http://www.uushare.com/filedownload?user=icesee&amp;id=2205188 http://www.guaishow.com/u/luanfujie/g9675/ 我们不知道这个Url具体代表的是一个网页,还是某种类型的文件. 而有些Url虽然带有扩展名,但可能是错误的扩展名,常见的比如把gif文件标上了jpg扩展名. 如果我们没法正确判断下载源的文件类型的话,就无法保存为正确的文件格式			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQ1jO8b.html" rel="bookmark">ASP&period;NET插件uploadify批量上传文件完整使用教程&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				uploadify批量上传文件完整使用教程,供大家参考,具体内容如下 1.首先准备uploadify的js文件,网上一搜一大堆 2.上传页面UpFilePage.aspx 关键代码: &lt;html xmlns=&quot;http://www.w3.org/1999/xhtml&quot;&gt; &lt;head runat=&quot;server&quot;&gt; &lt;meta http-equiv=&quot;Content-Type&quot; content=&quot;text/h			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDknrXp.html" rel="bookmark">&period;Net 项目代码风格要求小结&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				PDF版下载:项目代码风格要求V1.0.pdf 代码风格没有正确与否,重要的是整齐划一,这是我拟的一份&lt;.Net 项目代码风格要求&gt;,供大家参考. 1. C# 代码风格要求1.1注释 类型.属性.事件.方法.方法参数,根据需要添加注释. 如果类型.属性.事件.方法.方法参数的名称已经是自解释了,不需要加注释:否则需要添加注释. 当添加注释时,添加方式如下图所示: 1.2 类型(类.结构.委托.接口).字段.属性.方法.事件的命名 优先考虑英文,如果英文没有合适的单词描述,可以使用拼音,使用中文			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdmmdAz.html" rel="bookmark">Asp&period;net调试的一些问题小结&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				昨天到今天搞了一整天,把人都要差点搞崩了! ,以后再也不能乱关机了,因为这次的大意,几乎所有的Net安装,调试问题都被我碰到了,还好,我一个个把他记录下来了,同时,在CSDN找了一些相关的解决方法,不敢独享,供大家相互学习交流之用. 起因是这样的,机子运行IE时假死,我用着不爽,就二话不说热启动,结果就出事了. 重新打开正在Vs2003.Net里面正在作的项目时,老半天没反应,机子变得异常慢,当然,出于职业的敏感,马上来了个Ctrl+Alt+Del,这下不好,CPU占用100%,一直高居不下,运			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7QAORM.html" rel="bookmark">详解在&period;net中读写config文件的各种方法&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天谈谈在.net中读写config文件的各种方法. 在这篇博客中,我将介绍各种配置文件的读写操作. 由于内容较为直观,因此没有过多的空道理,只有实实在在的演示代码, 目的只为了再现实战开发中的各种场景.希望大家能喜欢. 通常,我们在.NET开发过程中,会接触二种类型的配置文件:config文件,xml文件. 今天的博客示例也将介绍这二大类的配置文件的各类操作. 在config文件中,我将主要演示如何创建自己的自定义的配置节点,而不是介绍如何使用appSetting . 请明:本文所说的conf			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxE46Pp.html" rel="bookmark">C&num;后台调用前台javascript的五种方法小结&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在网上找了找,发现有三种方法可以访问到前台代码: 第一种,OnClientClick (vs2003不支持这个方法) &lt;asp:Button ID=&quot;Button1&quot; runat=&quot;server&quot; Text=&quot;Button&quot; OnClientClick=&quot;client_click()&quot; OnClick=&quot;Button1_Click&quot; /&gt; client_click() 就是javascript的			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3653z.html" rel="bookmark" class="title">逃离搜索引擎黑帽作弊手法 促进站点排名自然提高（三）</a>
					<div>
						又是新的一天了,我继续写逃离搜索引擎黑帽作弊手法,促进站点排名自然提高的最后一个章节,在上一篇文章中我主要谈到了黑帽手法常用的链接买卖.链接工厂.采集.流量等黑帽优化方法,这些优化方法对网站的发展都起 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvwyWp.html" rel="bookmark" class="title">ubuntu安装软件提示无法打开锁文件 &sol;var&sol;lib&sol;dpkg&sol;lock</a>
					<div>
						用apt-get 安装 make提示&quot;无法打开锁文件 /var/lib/dpkg/lock &quot; # apt-get install vim E: 无法打开锁文件 /var/lib/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDAXn6b.html" rel="bookmark" class="title">文字江湖-看郭靖靠WPS绝技终得美人心</a>
					<div>
						话说武林学院的学生终于拿到毕业证,顺利从武林学院毕业.毕业后不管有多舍不得,他们都不得不互相道别,各自踏上不同的江湖路走进江湖职场.段誉和郭靖进入了同一家国际性的大公司,高富帅的段誉靠着老爸的关系轻松 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/balNV2z.html" rel="bookmark" class="title">在Applet中引用jar中的资源文件的方法</a>
					<div>
						如果想要做一个比较漂亮的Applet让人家使用,一定会加上很多资源,比如图片或者声音文件什么的. sun提供了一个有用的工具,jar.这个工具可以把这些资源文件合在一个文件里,避免频繁的http re ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1Rdd5p.html" rel="bookmark" class="title">如何提高CSS网页渲染效率</a>
					<div>
						  如何提高CSS网页渲染效率?CSS学习过程中需要关注的细节之处非常多,而这些细节之处也是影响CSS的网页渲染效率的重要因素,黑猫整理了由前辈们提出的提高CSS网页渲染效率的方法,一起来学习一下.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd72v6M.html" rel="bookmark" class="title">英特尔首席工程师吴甘沙：一切弯路都是直路</a>
					<div>
						记者 / 董世晓 作为从英特尔中国研究院走出的第一位首席工程师,吴甘沙的故事或许能给我们一些启迪.他相信无论做任何事情,只要你认真对待,即使走的是弯路,同样也能获得另外一种成功. 首席工程师的责.权. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDAqVvb.html" rel="bookmark" class="title">css控制div不能居中的解决办法</a>
					<div>
						  1.css控制div不能居中最容易犯的也最简单的就是没写DTD语句,不符合w3c规则,这个解决起来很容易,在页面的最上方加上: 就行了!其实还有很多css失效的问题也都是因为没有写dtd语句而引起 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7vW4b.html" rel="bookmark" class="title">PS&plus;AI教你绘制旅行海报</a>
					<div>
						  PS+AI基础教程!教你绘制旅行海报 知识点满满的海报教程,码起来学习.最近很多同学反映,跟着本栏目每日一练,进步大大的! 分类: PS入门教程					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bad4dPz.html" rel="bookmark" class="title">Windows7系统设置控制面板中内容加快上网速度</a>
					<div>
						   一.清除系统垃圾加快上网速度 1.删除浏览器临时文件. 第一步:在&quot;开始&quot;界面,选择&quot;控制面板&quot;. 第二步:在&quot;控制面板&quot;选择&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQYddp.html" rel="bookmark" class="title">遍历元素-MFC  遍历网页获取指定CLASS内容里面的值</a>
					<div>
						问题描述 MFC 遍历网页获取指定CLASS内容里面的值 单纯看网页源码看不出来所要元素 如下:我是通过火狐看到的 &lt;a title=&quot;2345pack3_k46246958_1200 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6Qa9M.html" rel="bookmark" class="title">阿尔卡特朗讯推出全新精英版桌面电话系列</a>
					<div>
						阿尔卡特朗讯企业通信推出全新桌面电话 类型:厂商稿 作者:阿尔卡特朗讯 时间:2014-05-20 09:56:32 上海,2014年5月19日――阿尔卡特朗讯企业通信日前宣布推出全新精英版桌面电话系 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Njlnz.html" rel="bookmark" class="title">多线程求助！！！！</a>
					<div>
						问题描述 哪位有多线程收发文件的例子,指教一下,谢谢最好是源程序,或只是详细一点的思路.... 解决方案 解决方案二:该回复于2011-04-25 09:00:20被版主删除					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm6WK7z.html" rel="bookmark" class="title">堆和栈的区别在哪里？</a>
					<div>
						 1.申请方式             stack:             由系统自动分配.     例如,声明在函数中一个局部变量     int     b;     系统自动在栈中为b开辟空间 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGE9NEM.html" rel="bookmark" class="title">linux sed 常用用法举例01</a>
					<div>
						判断是否以. 开头 echo .abc |grep &quot;^\.&quot; ;echo $?         判断是否以/ 开头 echo /abc |grep &quot;^/&quot;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqAy1b.html" rel="bookmark" class="title">java-JAVA问题：关于Spring框架中提供的测试框架</a>
					<div>
						问题描述 JAVA问题:关于Spring框架中提供的测试框架 这是教程视频中截的图,备注上说了,这个注解括号里的参数填源码编译后的路径(web中就是classes,普通项目就是bin),而下面的实际操 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RmgBz.html" rel="bookmark" class="title">用栈和队列实现虚拟停车场系统</a>
					<div>
						学校的数据结构课程实验之一. 用到的数据结构:栈.队列 需求分析 设停车场内只有一个可停放n辆汽车的狭长通道,且只有一个大门可供汽车进出.汽车在停车场内按车辆到达时间的先后顺序依次排列. 若车场内已停 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBgQyaM.html" rel="bookmark" class="title">opencv识别特殊的指针式仪器的指针</a>
					<div>
						问题描述 opencv识别特殊的指针式仪器的指针 opencv识别特殊的指针式仪器的指针 解决方案 http://download.csdn.net/detail/energy728/2157285					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkAnrM.html" rel="bookmark" class="title">互联网鸿沟呼唤智能dns dns&period;la升级系统提供更优性能</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 DNS的安全问题越来越被站长们所关 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RKeAz.html" rel="bookmark" class="title">weblogic部署EJB程序问题</a>
					<div>
						问题描述 EJB3.0问题:在weblogic中部署EJB程序成功,在启动时报:上下文路径/[我写的stateless的名字]已应用于其他应用程序,请另外选择一个.我刚接触的ejb,不知道什么错,因为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodX1BM.html" rel="bookmark" class="title">第五章（5）Libgdx应用框架之线程</a>
					<div>
						Android游戏开发群:290051794Libgdx游戏开发框架交流群:261954621    所有的ApplicationListener方法都会在同一线程中调用,这个线程是OpenGL调用的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7ZWOz.html" rel="bookmark" class="title">apache 虚拟主机配置技巧&lowbar;服务器</a>
					<div>
						NameVirtualHost 111.22.33.44  ServerName  DocumentRoot /www/sample  ServerName  DocumentRoot /www/sa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdmj4Az.html" rel="bookmark" class="title">Python 描述符（Descriptor）入门&lowbar;python</a>
					<div>
						很久都没写 Flask 代码相关了,想想也真是惭愧,然并卵,这次还是不写 Flask 相关,不服你来打我啊(就这么贱,有本事咬我啊 这次我来写一下 Python 一个很重要的东西,即 Descript ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrvwBOM.html" rel="bookmark" class="title">高德地图V6&period;4&period;2的最大亮点</a>
					<div>
						高德地图国内首发 三维实景手机地图 类型:转载 作者:王孜 时间:2014-04-30 18:05:00 4月29日,高德地图V 6.4.2上线发布,新增的三维实景手机地图成为高德地图V6.4.2的最 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXddd5p.html" rel="bookmark" class="title">C&plus;&plus;  将n个数按输入时的顺序逆序排出时遇到的问题</a>
					<div>
						问题描述 C++ 将n个数按输入时的顺序逆序排出时遇到的问题 //将n个数按输入时的顺序逆序排出 void sort(int *p,int n) { int *p1,*p2,temp; for(int ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQWKKQp.html" rel="bookmark" class="title">3D Robotics融资5千万美元</a>
					<div>
						摘要: 无人机创业公司3D Robotics刚刚完成5000万美元C轮融资,由高通风险投资(Qualcomm Ventures)领投,Foundry Group.Mayfield.OReilly Al ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvW6AWp.html" rel="bookmark" class="title">请问&comma;国内最大&comma;最可靠的代码托管平台是哪个&quest;&quest;</a>
					<div>
						问题描述 请问,国内最大,最可靠的代码托管平台是哪个?? 请问,国内最大,最可靠的代码托管平台是哪个?? github实在太慢了,求大神推荐 解决方案 最好用国外的吧, Gitcafe bae 还可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Y58Yb.html" rel="bookmark" class="title">人民日报：遏制网络活力有违中央精神和时代潮流</a>
					<div>
						把握好互联网这个&quot;最大变量&quot;,最关键的是要有&quot;阵地不能丢&quot;的忧患意识,有&quot;兴利除弊&quot;的媒介素养,有&quot;能力升级&quot;的创新精神 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjoXd0M.html" rel="bookmark" class="title">Firefox 55 计划在 Linux 版本启用 Headless 支持</a>
					<div>
						之前我们曾报道过Mozilla 宣布 Firefox 55 版本将会默认开启 WebVR API ,现在又有表示,Firefox 55 将启用 Headless 支持,仅针对 Linux 版本. Fi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3YnAkp.html" rel="bookmark" class="title">crtmpserver流媒体服务器的介绍与搭建</a>
					<div>
						crtmpserver流媒体服务器的介绍与搭建 (2012-02-29 11:28) 标签:  crtmpserver  C++ RTMP Server  rtmp  Adobe FMS(Flash  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWdn77p.html" rel="bookmark" class="title">《CCNP ROUTE 300-101认证考试指南》&mdash;&mdash;2&period;2节远程连通性概述</a>
					<div>
						2.2 远程连通性概述CCNP ROUTE 300-101认证考试指南 2.2 远程连通性概述在远程办事处和中心站点之间发送语音.视频和数据时,除了需要保证低开销之外,经常还要保证低延迟和部署简便.传 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.039 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
